=== debian/changelog ===
libbpp-raa (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-raa (2.0.1) unstable; urgency=low

   * Fixed copyright and rules issue in package.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-raa (2.0.0) unstable; urgency=low

  * Compatibility with Bio++ 2.0.0.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-raa (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 15:30:13 +0100
