## libbpp-raa 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 set(BPPRAA_VERSION_CURRENT "2")
-set(BPPRAA_VERSION_REVISION "0")
+set(BPPRAA_VERSION_REVISION "1")
 set(BPPRAA_VERSION_AGE "1")
 
 # Effective version number computation
@@ -81,10 +81,15 @@
 # Doxygen
 find_package(Doxygen)
 if (DOXYGEN_FOUND)
-  add_custom_target (apidoc ${DOXYGEN_EXECUTABLE} Doxyfile)
-  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile Doxyfile-stable
-    COMMAND echo "HTML_HEADER=header.html" >> Doxyfile-stable
-    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile-stable )
+  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
+    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
+    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 endif (DOXYGEN_FOUND)
 
 ENDIF(NO_DEP_CHECK)
@@ -92,10 +97,10 @@
 # Packager
 set(CPACK_PACKAGE_NAME "libbpp-raa")
 set(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-set(CPACK_PACKAGE_VERSION "2.0.3")
+set(CPACK_PACKAGE_VERSION "2.1.0")
 set(CPACK_PACKAGE_VERSION_MAJOR "2")
-set(CPACK_PACKAGE_VERSION_MINOR "0")
-set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_VERSION_MINOR "1")
+set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Remote Acnuc Access library")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 set(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -127,7 +132,6 @@
  "Raa.tag"
  "Testing"
  "build-stamp"
- "genIncludes.py"
  "install_manifest.txt"
  "DartConfiguration.tcl"
  ${CPACK_SOURCE_IGNORE_FILES}
@@ -142,6 +146,14 @@
 
 #This adds the 'dist' target
 ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
+IF("${CMAKE_GENERATOR}" MATCHES "Make")
+  ADD_CUSTOM_TARGET(make_clean
+  COMMAND ${CMAKE_MAKE_PROGRAM} clean
+  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
+  )
+  ADD_DEPENDENCIES(dist make_clean)
+ENDIF()
 
 IF(NOT NO_DEP_CHECK)
 IF (UNIX)
