=== debian/changelog ===
libbpp-raa (2.1.0-1) unstable; urgency=low

  * Recompilation because of dependencies.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 07 Mar 2013 11:46:00 +0100

libbpp-raa (2.0.3-1) unstable; urgency=low

  * Recompilation because of dependencies.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 16:45:00 +0100
