=== debian/control ===
Source: libbpp-raa
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  zlib1g-dev (>= 1.2.3), libbpp-seq-dev (>= 2.1.0), zlib1g (>= 1.2.3)
Standards-Version: 3.9.1

Package: libbpp-raa-dev
Section: libdevel
Architecture: any
Depends: libbpp-raa1 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev (>= 1.2.3), libbpp-seq-dev (>= 2.1.0)
Description: Bio++ Remote Acnuc Access library development files.
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.

Package: libbpp-raa1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  zlib1g (>= 1.2.3), libbpp-seq9 (>= 2.1.0)
Description: Bio++ Remote Acnuc Access library.
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.
