=== debian/changelog ===
libbpp-raa (2.2.0-2) unstable; urgency=medium

  * Fixed copyright at ftpmaster request

 -- Andreas Tille <tille@debian.org>  Fri, 22 Apr 2016 21:36:32 +0200

libbpp-raa (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * Add watch file
  * Add homepage
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 9
  * Source package in Section: science
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791098
  * DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 17:52:34 +0200
