=== debian/changelog ===
libbpp-raa (2.3.1-4) unstable; urgency=medium

  * Removed postinst scripts

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 09:35:07 +0200

libbpp-raa (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 11:30:18 +0200

libbpp-raa (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 08:25:48 +0200

libbpp-raa (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2017 11:46:22 +0200
