## libbpp-raa 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "3")
+SET(${PROJECT_NAME}_VERSION_CURRENT "4")
 SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
@@ -54,7 +54,7 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-seq 11.0.0 REQUIRED)
+find_package (bpp-seq 12.0.0 REQUIRED)
 
 # Find the zlib installation (define zlib imported target)
 find_package(ZLIB REQUIRED)
@@ -104,10 +104,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-raa")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Remote Acnuc Access library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -116,6 +116,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/" 
+       "/BppRaa.tag" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}
