=== debian/changelog ===
libbpp-raa (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64

  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org
  * cme fix dpkg-control

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:44:50 +0200

libbpp-raa (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 28 Mar 2018 09:33:22 +0200

libbpp-raa (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
  * Does not override debian C and CXX flags anymore.

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Feb 2018 15:37:26 +0200
