=== debian/control ===
Source: libbpp-raa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               d-shlibs (>= 0.80),
               zlib1g-dev,
               libbpp-seq-dev (>= 2.4.0)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/med-team/libbpp-raa
Vcs-Git: https://salsa.debian.org/med-team/libbpp-raa.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-raa-dev
Architecture: any
Section: libdevel
Depends: libbpp-raa4 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-seq-dev (>= 2.4.0)
Description: Bio++ Remote Acnuc Access library development files
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.
 .
 This package contains header files and static library.

Package: libbpp-raa4
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbpp-seq12
Description: Bio++ Remote Acnuc Access library
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.
 .
 This package contains the dynamic library.
