=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
override_dh_makeshlibs:
ifeq ($(DEB_BUILD_ARCH),amd64)
	echo "Architecture amd64 is the only one where a symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_BUILD_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_BUILD_ARCH),amd64)
	echo "dh_makeshlibs for architecture amd64 including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so
