=== debian/changelog ===
libbpp-raa (2.4.1-9) unstable; urgency=medium

  * Since every GCC version bump ends up in a bug caused by the need to
    update symbols files we stop providing symbols for this library
    Closes: #1075152
  * lintian-override for no-symbols-control-file
  * Standards-Version: 4.7.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2024 15:05:05 +0200

libbpp-raa (2.4.1-8) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * d/patches/unforce-cxxflags.patch: merge with upstreams flags
    especially "-std=c++11"; and forward this patch to them.
  * d/control: rely on substvars for more dependencies.
  * Silence some false-positive Lintian warnings and errors related to
    the t64 transition.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 09:30:02 +0100

libbpp-raa (2.4.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Amend 64-bit time_t transition:
    - Remove unnecessary hardcoded dependency on libbpp-seq12, rely on shlibs

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:06:38 +0100

libbpp-raa (2.4.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062238

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 09:35:26 +0000

libbpp-raa (2.4.1-7) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2022 08:06:31 +0100

libbpp-raa (2.4.1-6) unstable; urgency=medium

  * Team upload.
  * d/libbpp-raa4.symbols.amd64: adjust for gcc11 (Closes: #984090)
  * Apply multi-arch hints.
    + libbpp-raa-dev, libbpp-raa4: Add Multi-Arch: same.

 -- Étienne Mollier <emollier@debian.org>  Thu, 04 Nov 2021 21:01:38 +0100

libbpp-raa (2.4.1-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 21:07:25 +0200

libbpp-raa (2.4.1-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update symbols for gcc-10
    Closes: #957426

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 12:16:52 +0200

libbpp-raa (2.4.1-3) unstable; urgency=medium

  * Remove remainings from symbols file workaround

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 11:55:30 +0200

libbpp-raa (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Rebuild for new version of gcc to fix symbols
    Closes: #925735
  * Provide symbols file for amd64 only
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2019 10:31:51 +0200

libbpp-raa (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 22 Aug 2018 09:04:28 +0200
