=== debian/control ===
Source: libbpp-raa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               d-shlibs (>= 0.106~),
               zlib1g-dev,
               libbpp-seq-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/libbpp-raa
Vcs-Git: https://salsa.debian.org/med-team/libbpp-raa.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
Rules-Requires-Root: no

Package: libbpp-raa-dev
Architecture: any
Section: libdevel
Depends: libbpp-raa4t64 (= ${binary:Version}),
         ${misc:Depends},
         ${devlibs:Depends}
Multi-Arch: same
Description: Bio++ Remote Acnuc Access library development files
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.
 .
 This package contains header files and static library.

Package: libbpp-raa4t64
Provides: ${t64:Provides}
Replaces: libbpp-raa4
Conflicts: libbpp-raa4 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: Bio++ Remote Acnuc Access library
 This library contains utilitary and classes to query public databases
 (GenBank, EMBL, SwissProt, etc) using acnuc.
 It is part of the Bio++ project.
 .
 This package contains the dynamic library.
